<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<title>Navigation mit Liste</title>
<link href="nav.css" rel="stylesheet" type="text/css">
</head>

<body>
<h1>Start</h1>
<iframe height="60" width="90%" src="nav.php?seite=1"></iframe>
<p>Wir haben hier auf jeder Seite einen iframe. In diesen iframe ist eine Seite eingebettet nav.php </p>
<p>Auf dieser Seite nav.php befindet sich das Menü.</p>
<p>Vorteil bei der Sache ist, wenn ich Seiten hinzufüge oder lösche muss ich nicht auf allen Seiten das Menü ändern.</p>
<p>Hier sieht man jedoch im Menü, dass die aktuelle Seite hervorgehoben ist.</p>
<p> Woher weiß die Seite nav.php auf welcher Seite sie sich im iframe befindet?</p>
<p>Ganz einfach die Seiten binden nicht nur die Seite nav.php ein, sondern schicken an die Seite nav.php auch eine Variable mit einer Nummer.</p>
<p>Diese wird einfach angehängt, bzw. mit GET an die nav.php versandt.</p>
<p>Der link oder src Code im iframe der jeweiligen Seite sieht so aus.</p>
<p>src=&quot;nav.php?seite=1&quot;</p>
<p>src=&quot;nav.php?seite=2&quot;</p>
<p><code>&lt;iframe height=&quot;60&quot; width=&quot;90%&quot; src=&quot;nav.php?seite=1&quot;&gt;&lt;/iframe&gt;</code></p>
<p>Daher weiß die nav.php Seite, welcher Menüpunkt hervorgehoben werden soll.</p>
<p>Das geschieht dann einfach über nth-child(1)</p>
<p>anstatt nth-child(1) steht dann natürlich der entsprechende PHP Code an der Stelle.</p>
<p><code>nav a:nth-child(&lt;?php echo $seite;?&gt;){background-color: red;}</code></p>
<p>Das wird auf der nav.php gemacht.</p>
<p>Auf der nav.php muss die Variable zuvor noch empfangen werden. Das geschieht folgendermaßen im head Bereich vor dem Style Block.</p>
<p><code>&lt;?php<br>
  $seite = $_GET[&quot;seite&quot;]; <br>
?&gt;</code></p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
</body>
</html>
